<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT boardid FROM " . $prefix_wbb1 . "boards");
$forumcount = $result->num_rows;
echo "\nTOTAL COUNT OF SOURCE FORUMS: " . $forumcount;

if ($forumcount > 0)
	echo "\nTRUNCATE FORUMS..." . ($mysqli->query("TRUNCATE " . $prefix_mybb . "forums;")) ? " OK" : " FAILED";

	$sql = "
INSERT INTO " . $prefix_mybb . "forums
SELECT
b.boardid AS `fid`,
b.title AS `name`,
b.description AS `description`,
'' AS `linkto`,
b.isboard AS `type`,
b.parentid AS `pid`,
IF(b.parentid=0,b.boardid,CONCAT(SUBSTRING(b.parentlist,3,100),',',b.boardid)) AS `parentlist`,
b.boardorder AS `disporder`,
'1' AS `active`,
1-b.closed AS `open`,
(SELECT COUNT(tt.boardid) threads FROM " . $prefix_wbb1 . "boards bb LEFT JOIN " . $prefix_wbb1 . "threads tt ON (tt.boardid = bb.boardid) WHERE bb.boardid = b.boardid GROUP BY b.boardid) AS `threads`,
(SELECT COUNT(pp.postid) posts FROM " . $prefix_wbb1 . "posts pp INNER JOIN " . $prefix_wbb1 . "threads tt ON (tt.threadid = pp.threadid) INNER JOIN " . $prefix_wbb1 . "boards bb ON (bb.boardid = tt.boardid) WHERE bb.boardid = b.boardid  GROUP BY tt.boardid) AS `posts`,
b.lastposttime AS `lastpost`,
b.lastposter AS `lastposter`,
b.lastposterid AS `lastposteruid`,
b.lastthreadid AS `lastposttid`,
t.topic AS `lastpostsubject`,
b.allowhtml AS `allowhtml`,
b.allowbbcode AS `allowmycode`,
b.allowsmilies AS `allowsmilies`,
b.allowimages AS `allowimgcode`,
'1' AS `allowvideocode`,
b.allowicons AS `allowpicons`,
'1' AS `allowratings`,
'1' AS `usepostcounts`,
'1' AS `usethreadcounts`,
b.prefix AS `requireprefix`,
b.password AS `password`,
'0' AS `showinjump`,
b.styleid AS `style`,
b.enforcestyle AS `overridestyle`,
'0' AS `rulestype`,
'' AS `rulestitle`,
'' AS `rules`,
'0' AS `unapprovedthreads`,
'0' AS `unapprovedposts`,
'0' AS `deletedthreads`,
'0' AS `deletedposts`,
'' AS `defaultdatacat`,
'' AS `defaultsortby`,
'' AS `defaultsortorder`
FROM " . $prefix_wbb1 . "boards b
INNER JOIN " . $prefix_wbb1 . "threads t
ON t.threadid = b.lastthreadid;
";

	echo "\nINSERT DATA..." . ($mysqli->query($sql)) ? " OK" : " FAILED";

	echo "\nFORUM TYPE CORRECTION...";
	echo ($mysqli->query("UPDATE " . $prefix_mybb . "forums SET type = 'c' WHERE type = '0';")) ? " OK" : " FAILED";
	echo ($mysqli->query("UPDATE " . $prefix_mybb . "forums SET type = 'f' WHERE type = '1';")) ? " OK" : " FAILED";

	echo "\nFORUM PARENTS CORRECTION..." . ($mysqli->query("UPDATE " . $prefix_mybb . "forums SET parentlist = fid WHERE pid = '0';")) ? " OK" : " FAILED";
}

$result = $mysqli->query("SELECT fid FROM " . $prefix_mybb . "forums");
echo "\nTOTAL COUNT OF DESTINATION FORUMS: " . $result->num_rows;

echo "\n\n";

?>