<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT postid FROM " . $prefix_wbb1 . "posts");
$postcount = $result->num_rows;
echo "\nTOTAL POSTS SOURCE: " . $postcount;

if ($postcount > 0) {
	echo "\nTRUNCATE POSTS...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "posts;")) ? " OK" : " FAILED";

	$loops = ceil($postcount / $data_load_volume);  # NUMBER OF LOOPS TO RUN INSERTS INTO TABLE
	echo "\nINSERT DATA...";

	for ($i = 0; $i < $loops; $i++) {
		$sql="
INSERT INTO " . $prefix_mybb . "posts
SELECT
p.postid as `pid`,
p.threadid as `tid`,
p.parentpostid as `replyto`,
t.boardid as `fid`,
p.posttopic as `subject`,
p.iconid as `icon`,
p.userid as `uid`,
p.username as `username`,
p.posttime as `dateline`,
p.message as `message`,
'' as `ipaddress`,
p.showsignature as `includesig`,
1-p.allowsmilies as `smilieoff`,
p.editorid as `edituid`,
p.edittime as `edittime`,
'' as `editreason`,
p.visible as `visible`
FROM " . $prefix_wbb1 . "posts p
INNER JOIN " . $prefix_wbb1 . "threads t
ON p.threadid = t.threadid
ORDER BY p.postid
LIMIT " . ($i * $data_load_volume) . "," . $data_load_volume . ";
";
		echo ($mysqli->query($sql)) ? " " . ($i * $data_load_volume) : " FAILED";

		#echo "\nUPDATE EMPTY POST SUBJECTS...";
		echo ($mysqli->query("UPDATE " . $prefix_mybb . "posts p INNER JOIN " . $prefix_mybb . "threads t ON p.tid = t.tid SET p.subject = CONCAT('RE: ',t.subject) WHERE p.subject = '';")) ? "" : " UPDATE FAILED";
	}
}

$result = $mysqli->query("SELECT pid FROM " . $prefix_mybb . "posts");
echo "\nTOTAL POSTS DESTINATION: " . $result->num_rows;

echo "\n\n";

?>