<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT boardid FROM " . $prefix_wbb1 . "announcements");
$announcementcount = $result->num_rows;
echo "\nTOTAL ANNOUNCEMENTS SOURCE: " . $announcementcount;

if ($announcementcount > 0) {
	echo "\nTRUNCATE ANNOUNCEMENTS...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "announcements;")) ? " OK" : " FAILED";

	$sql="
INSERT INTO " . $prefix_mybb . "announcements
SELECT
'' AS `aid`,
a.boardid AS `fid`,
t.starterid AS `uid`,
t.topic AS `subject`,
p.message AS `message`,
t.starttime AS `startdate`,
'0' AS `enddate`,
'0' AS `allowhtml`,
'0' AS `allowmycode`,
'0' AS `allowsmilies`
FROM " . $prefix_wbb1 . "announcements a
INNER JOIN " . $prefix_wbb1 . "threads t ON a.threadid = t.threadid
INNER JOIN " . $prefix_wbb1 . "posts p ON t.threadid = p.threadid
GROUP BY t.threadid;
";

	echo "\nINSERT DATA...";
	echo ($mysqli->query($sql)) ? " OK" : " FAILED";
}

$result = $mysqli->query("SELECT aid FROM " . $prefix_mybb . "announcements");
echo "\nTOTAL ANNOUNCEMENTS DESTINATION: " . $result->num_rows;

echo "\n\n";

?>