<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT privatemessageid FROM " . $prefix_wbb1 . "privatemessage;");
$privatecount = $result->num_rows;
echo "\nTOTAL MESSAGES SOURCE: " . $privatecount;

if ($privatecount > 0) {
	echo "\nTRUNCATE MESSAGES...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "privatemessages;")) ? " OK" : " FAILED";

	$loops = ceil($privatecount / $data_load_volume);  # NUMBER OF LOOPS TO RUN INSERTS INTO TABLE
	echo "\nINSERT DATA (" . $loops . "*" . $data_load_volume . ")...";

	for ($i = 0; $i < $loops; $i++) {
		$sql="
INSERT INTO " . $prefix_mybb . "privatemessages
SELECT
p.privatemessageid AS `pmid`,
p.recipientid AS `uid`,
p.recipientid AS `toid`,
p.senderid AS `fromid`,
CONCAT('a:1:{s:2:\"to\";a:1:{i:0;s:3:\"',p.privatemessageid,'\";}}') AS `recipients`,
'1' AS `folder`,
p.subject AS `subject`,
p.iconid AS `icon`,
p.message AS `message`,
p.sendtime AS `dateline`,
'0' AS `deletetime`,
IF(p.reply=1,'3','1') AS `status`,
p.view+300  AS `statustime`,
p.showsignature AS `includesig`,
1-p.showsmilies AS `smilieoff`,
'0' AS `receipt`,
p.view AS `readtime`,
'7F000001' AS `ipaddress`
FROM " . $prefix_wbb1 . "privatemessage p
ORDER BY p.privatemessageid
LIMIT " . ($i * $data_load_volume) . "," . $data_load_volume . ";
";
		echo ($mysqli->query($sql)) ? " " . ($i * $data_load_volume) : " FAILED";
	}
}

$result = $mysqli->query("SELECT pmid FROM " . $prefix_mybb . "privatemessages");
echo "\nTOTAL MESSAGES DESTINATION: " . $result->num_rows;

echo "\n\n";

?>