<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT threadid FROM " . $prefix_wbb1 . "threads");
$threadcount = $result->num_rows;
echo "\nTOTAL THREADS SOURCE: " . $threadcount;

if ($threadcount > 0) {
	echo "\nTRUNCATE THREADS...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "threads;")) ? " OK" : " FAILED";

	$loops = ceil($threadcount / $data_load_volume);  # NUMBER OF LOOPS TO RUN INSERTS INTO TABLE
	echo "\nINSERT DATA (" . $loops . "*" . $data_load_volume . ")...";

	for ($i = 0; $i < $loops; $i++) {
		$sql="
INSERT INTO " . $prefix_mybb . "threads
SELECT
DISTINCT t.threadid AS `tid`,
t.boardid AS `fid`,
t.topic AS `subject`,
t.prefix AS `prefix`,
t.iconid AS `icon`,
t.pollid AS `poll`,
t.starterid AS `uid`,
t.starter AS `username`,
t.starttime AS `dateline`,
p.postid AS `firstpost`,
t.lastposttime AS `lastpost`,
t.lastposter AS `lastposter`,
t.lastposterid AS `lastposteruid`,
t.views AS `views`,
t.replycount AS `replies`,
t.closed AS `closed`,
t.important AS `sticky`,
t.voted AS `numratings`,
t.votepoints AS `totalratings`,
'' AS `notes`,
t.visible AS `visible`,
'0' AS `unapprovedposts`,
'0' AS `deletedposts`,
'0' AS `attachmentcount`,
'0' AS `deletetime`
FROM " . $prefix_wbb1 . "threads t
LEFT JOIN " . $prefix_wbb1 . "posts p
ON p.threadid = t.threadid
GROUP BY tid
ORDER BY tid ASC, p.postid
LIMIT " . ($i * $data_load_volume) . "," . $data_load_volume . ";
";
		echo ($mysqli->query($sql)) ? " " . ($i * $data_load_volume) : " FAILED";
	}
}

$result = $mysqli->query("SELECT tid FROM " . $prefix_mybb . "threads");
echo "\nTOTAL THREADS DESTINATION: " . $result->num_rows;

echo "\n\n";

?>