<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT pollid FROM " . $prefix_wbb1 . "polls");
$pollcount = $result->num_rows;
echo "\nTOTAL POLLS SOURCE: " . $pollcount;

if ($pollcount > 0) {
	#$result = $mysqli->query("SELECT COUNT(polloptionid) FROM " . $prefix_wbb1 . "polloptions GROUP BY pollid");
	$result = $mysqli->query("SELECT polloptionid FROM " . $prefix_wbb1 . "polloptions");
	echo "\nTOTAL POLL OPTIONS: " . $result->num_rows;

	echo "\nTRUNCATE POLLS...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "polls;")) ? " OK" : " FAILED";

	$sql="
INSERT INTO " . $prefix_mybb . "polls
SELECT
p.pollid AS `pid`,
p.threadid AS `tid`,
p.question AS `question`,
p.starttime AS `dateline`,
GROUP_CONCAT(o.polloption ORDER BY o.polloptionid SEPARATOR '||~|~||') AS `options`,
GROUP_CONCAT(o.votes ORDER BY o.showorder SEPARATOR '||~|~||') AS `votes`,
COUNT(o.votes) AS `numoptions`,
SUM(o.votes) AS `numvotes`,
p.timeout AS `timeout`,
'0' AS `closed`,
p.choicecount-1 AS `multiple`,
'1' AS `public`,
'0' AS `maxoptions`
FROM " . $prefix_wbb1 . "polls p
INNER JOIN " . $prefix_wbb1 . "polloptions o
ON p.pollid = o.pollid
GROUP BY o.pollid
ORDER BY o.showorder;
";

	echo "\nINSERT DATA...";
	echo ($mysqli->query($sql)) ? " OK" : " FAILED";
}

$result = $mysqli->query("SELECT pid FROM " . $prefix_mybb . "polls");
echo "\nTOTAL POLLS DESTINATION: " . $result->num_rows;

echo "\n\n";

?>