<?php

include './migrate_globals.php';

$result = $mysqli->query("SELECT eventid FROM " . $prefix_wbb1 . "events");
$eventcount = $result->num_rows;
echo "\nTOTAL EVENTS SOURCE: " . $eventcount;

if ($eventcount > 0) {
	echo "\nTRUNCATE EVENTS...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "events;")) ? " OK" : " FAILED";

	$sql="
INSERT INTO " . $prefix_mybb . "events
SELECT
e.eventid	eid,
'1'		cid,
e.userid	uid,
e.subject	name,
e.event		description,
'1'		visible,
1-e.public	private,
strtotime('e.eventdate')	dateline,
strtotime('e.eventdate')	starttime,
'0'		endtime,
''		timezone,
''		ignoretimezone,
''		usingtime,
''		repeats
FROM " . $prefix_wbb1 . "events e
ORDER BY e.eventid;
";

	echo "\nINSERT DATA...";
	echo ($mysqli->query($sql)) ? " OK" : " FAILED";
}

$result = $mysqli->query("SELECT eid FROM " . $prefix_mybb . "events");
echo "\nTOTAL EVENTS DESTINATION: " . $result->num_rows;

echo "\n\n";

?>