<?php

include './migrate_globals.php';

function convert_birthday($bdw) {
        $bd = $bdm = '';
        if(!empty($bdw) && $bdw != "0000-00-00"){
                $bd = array_map('round', explode('-', $bdw));
                ($bd[2] != '0' && $bd[1] != '0') ? ($bdm = $bd[2] . '-' . $bd[1] . '-' . (($bd[0] != '0') ? $bdm .= $bd[0] : '')) : '';
        }
        return $bdm;
}

$result = $mysqli->query("SELECT userid FROM " . $prefix_wbb1 . "users;");
$usercount = $result->num_rows;
echo "\nTOTAL USERS SOURCE: " . $usercount;

echo "\nDELETE USERS EXCEPT ADMIN...";
echo ($mysqli->query("DELETE FROM " . $prefix_mybb . "users WHERE uid != " . $uid_admin . ";")) ? " OK" : " FAILED";

$loops = ceil($usercount / $data_load_volume);  # NUMBER OF LOOPS TO RUN INSERTS INTO TABLE
echo "\nINSERT DATA (" . $loops . "*" . $data_load_volume . ")...";

for ($i = 0; $i < $loops; $i++) {
        $sql = "
INSERT INTO " . $prefix_mybb . "users
SELECT
u.userid AS `uid`,
u.username AS `username`,
MD5(CONCAT(MD5(SUBSTR(BINARY u.password,16,8)),BINARY u.password)) AS `password`,
SUBSTR(BINARY u.password,16,8) AS `salt`,
SUBSTR(CONCAT(MD5(RAND()),MD5(RAND())),1,50) AS `loginkey`,
u.email AS `email`,
(SELECT COUNT(*) FROM " . $prefix_wbb1 . "posts p WHERE p. userid = u.userid) AS `postnum`,
(SELECT COUNT(*) FROM " . $prefix_wbb1 . "threads t WHERE t.starterid = u.userid) AS `threadnum`,
CONCAT('./uploads/avatars/',a.avatarname,'.',a.avatarextension,'?dateline=',UNIX_TIMESTAMP()) AS `avatar`,
CONCAT(a.width,'|',a.height) AS `avatardimensions`,
'upload' AS `avatartype`,
'2' AS `usergroup`,
'' AS `additionalgroups`,
'0' AS `displaygroup`,
'' AS `usertitle`,
u.regdate AS `regdate`,
u.lastactivity AS `lastactive`,
u.lastvisit AS `lastvisit`,
(SELECT MAX(posttime) from " . $prefix_wbb1 . "posts WHERE userid = u.userid) AS `lastpost`,
u.homepage AS `website`,
u.icq AS `icq`,
u.skype AS `skype`,
'' AS `google`,
'' AS `birthday`,
'all' AS `birthdayprivacy`,
u.signature AS `signature`,
'1' AS `allownotices`,
1-u.showemail AS `hideemail`,
'0' AS `subscriptionmethod`,
'0' AS `invisible`,
u.receivepm AS `receivepms`,
'0' AS `receivefrombuddy`,
'2' AS `pmnotice`,
'1' AS `pmnotify`,
'1' AS `buddyrequestspm`,
'0' AS `buddyrequestsauto`,
'linear' AS `threadmode`,
'1' AS `showimages`,
'1' AS `showvideos`,
u.showsignatures AS `showsigs`,
u.showavatars AS `showavatars`,
'1' AS `showquickreply`,
'0' AS `showredirect`,
'0' AS `ppp`,
'0' AS `tpp`,
u.daysprune AS `daysprune`,
'0' AS `dateformat`,
'0' AS `timeformat`,
'1' AS `timezone`,
'0' AS `dst`,
'2' AS `dstcorrection`,
REPLACE(buddylist, ' ', ',') AS `buddylist`,
REPLACE(ignorelist, ' ', ',') AS `ignorelist`,
'0' AS `style`,
'0' AS `away`,
'0' AS `awaydate`,
'' AS `returndate`,
'' AS `awayreason`,
'0**$%%$1**$%%$2**$%%$3**$%%$4**' AS `pmfolders`,
'' AS `notepad`,
'0' AS `referrer`,
'0' AS `referrals`,
'' AS `reputation`,
'' AS `regip`,
'' AS `lastip`,
'' AS `language`,
'0' AS `timeonline`,
'1' AS `showcodebuttons`,
(SELECT COUNT(*) FROM " . $prefix_wbb1 . "privatemessage m WHERE m.recipientid = u.userid AND m.deletepm = 1 AND m.view != '') AS `totalpms`,
'0' AS `unreadpms`,
'0' AS `warningpoints`,
'0' AS `moderateposts`,
'0' AS `moderationtime`,
'0' AS `suspendposting`,
'0' AS `suspensiontime`,
'0' AS `suspendsignature`,
'0' AS `susoendsigtime`,
'0' AS `coppauser`,
'1' AS `classicpostbit`,
'1' AS `loginattempts`,
'0' AS `loginlockoutexpiry`,
'' AS `usernotes`,
'0' AS `sourceeditor`
FROM " . $prefix_wbb1 . "users u
LEFT JOIN " . $prefix_wbb1 . "avatars a
ON u.userid = a.userid
WHERE u.userid != '" . $uid_admin . "'
ORDER BY u.userid
LIMIT " . ($i * $data_load_volume) . "," . $data_load_volume . ";
";
	echo ($mysqli->query($sql)) ? " " . ($i * $data_load_volume) : " FAILED";
}

$result = $mysqli->query("SELECT uid FROM " . $prefix_mybb . "users;");
echo "\nTOTAL USERS DESTINATION: " . $result->num_rows;

echo "\n\n";

?>