<?php

include './migrate_globals.php';

$result = $mysqli->query("SHOW COLUMNS FROM " . $prefix_wbb1 . "userfields WHERE Field LIKE 'field%'");
$fieldcount_wbb1 = $result->num_rows;
echo "\nTOTAL USERFIELDS SOURCE: " . $fieldcount_wbb1;

$result = $mysqli->query("SHOW COLUMNS FROM " . $prefix_mybb . "userfields WHERE Field LIKE 'fid%'");
$fieldcount_mybb = $result->num_rows;
echo "\nTOTAL USERFIELDS DESTINATION: " . $fieldcount_mybb;

$result_num_rows_diff = $fieldcount_wbb1 - $fieldcount_mybb;
if ($result_num_rows_diff > 0) {
	echo "\nADD MISSING COLUMNS TO TABLE...";
	for ($i = 0; $i < $result_num_rows_diff; $i++) {
		$sql = "ALTER TABLE " . $prefix_mybb . "userfields ADD fid" . ($i + 4) . " text NOT NULL;\n";
		echo ($mysqli->query($sql)) ? " OK" : " FAILED";
	}
}

$result = $mysqli->query("SELECT userid FROM " . $prefix_wbb1 . "userfields");
$fieldcount = $result->num_rows;
echo "\nTOTAL USER PROFILES SOURCE: " . $fieldcount;

if ($fieldcount > 0) {
	echo "\nTRUNCATE PROFILE FIELDS...";
	echo ($mysqli->query("TRUNCATE " . $prefix_mybb . "userfields;")) ? " OK" : " FAILED";

	$sql_select = array();
	for ($i = 0; $i < $fieldcount_wbb1; $i++) {
		$sql_select[] = "f.field" . ($i + 1) . " AS `fid" . ($i + 1) . "`";
	}

	$loops = ceil($fieldcount / $data_load_volume);  # NUMBER OF LOOPS TO RUN INSERTS INTO TABLE
	echo "\nINSERT DATA (" . $loops . "*" . $data_load_volume . ")...";
	
	for ($i = 0; $i < $loops; $i++) {
		$sql="
INSERT INTO " . $prefix_mybb . "userfields
SELECT userid,
" . implode(", ", $sql_select) . "
FROM " . $prefix_wbb1 . "userfields f
LIMIT " . ($i * $data_load_volume) . "," . $data_load_volume . ";
";
		echo ($mysqli->query($sql)) ? " " . ($i * $data_load_volume) : " FAILED";
	}
}

$result = $mysqli->query("SELECT ufid FROM " . $prefix_mybb . "userfields");
echo "\nTOTAL USER PROFILES DESTINATION: " . $result->num_rows;

echo "\n\n";

?>